Subject: bug#2066: Face `unspecified' inheritance ignores face-remapping-alist

From: David Reitter <[email-masked]>
Date: Mon, 26 Jan 2009 09:46:48 -0500

Faces with an unspecified `inherit' attribute inherit from `default',  
right?

Unfortunately, this mechanism does not respect remapped faces (face- 
remapping-alist).  Faces, by default, seem to inherit from the frame  
default.  To demonstrate:

emacs -Q
(fundamental-mode)
(setq face-remapping-alist '((default . highlight)))
(insert (propertize "test" 'face 'fringe))

In a concrete use case, `csv-mode' fails to align its columns when  
face-remapping-alist is used, because one of its faces is not  
specified to inherit from default, causing it to inherit from the  
wrong face (see screenshot).